// MSParamters.h: interface for the CMSCustomizePara class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MSPARArule_H__2B408933_F7AF_436D_8FBC_2BE9F4E2E20F__INCLUDED_)
#define AFX_MSPARArule_H__2B408933_F7AF_436D_8FBC_2BE9F4E2E20F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <vector>
using  std::vector;
class CMSCustomizePara  
{
public:
	CMSCustomizePara();
	virtual ~CMSCustomizePara();
	bool			m_binphase;			//Whether the Data Format keeps synchronous.
	vector<short>		m_objMSbinaryAry;		//Save the array of the Flag which uses the Binary Ary.
	vector<short>		m_objMSdecimalsAry;		//Save the array of the Flag which uses the Decimal Ary, eg:data. 
	vector<short>		m_objMShexAry;			//Save the array of the Flag which uses the Hexidecimal Ary, eg:cmd. 
	vector<short>		m_objMSASCIIAry;		//Save the array of the Flag which uses the ASCII Ary.


	void			FreeArray();
	

	//reserver
	vector<int>		 m_objMSReserveAry;
	int			 m_nReserve1;
	int			 m_nReserve2;
	unsigned int		m_uReserve1;
	unsigned int		m_uReserve2;
	bool			m_bReserve1;
	bool			m_bReserve2;
	double			m_dReserve1;
	double			m_dReserve2;
	
	public:
	bool SetBinaryAryRange(int nRange);
	bool SetDecimalAryRange(int nRange);
	bool SetHexRange(int nRange);
	bool SetASCIIAryRange(int nRange);
	bool SetResverveAryRange(int nRange);
	bool FindIsBinary(short nFlag);
	bool FindIsDecimal(short nFlag);
	bool FindIsHex(short nFlag);
	bool FindIsASCII(short nFlag);
};

#endif // !defined(AFX_MSPARArule_H__2B408933_F7AF_436D_8FBC_2BE9F4E2E20F__INCLUDED_)
