#if !defined(AFX_IICSETUPSHEET_H__6B96786B_AD06_480F_9E7C_7158840E133B__INCLUDED_)
#define AFX_IICSETUPSHEET_H__6B96786B_AD06_480F_9E7C_7158840E133B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IICSetupSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIICSetupSheet
#include "IICSetupPage1.h"
#include "CheckAnswerPage2.h"
#include "PacketItemPage.h"
#include "TimePage.h"
#include "IICRuleCustizePage.h"
#include <memory>
using namespace std;
#include <malloc.h>
class CIICSetupSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CIICSetupSheet)

// Construction
public:
	CIICSetupSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CIICSetupSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations

public:
	CIICSetupPage1*		m_PageIICSetup;
	CCheckAnswerPage2*	m_PageCheckAnswer;
	CPacketItemPage*	m_PagePacketItem;
	CTimePage*          m_TimePage;
	CIICRuleCustizePage* m_RuleCustizePage;
public:
	bool			UpdateOkText();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIICSetupSheet)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CIICSetupSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CIICSetupSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	afx_msg void OnDefault();
	afx_msg void OnHelp();
	afx_msg void OnOK();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IICSETUPSHEET_H__6B96786B_AD06_480F_9E7C_7158840E133B__INCLUDED_)
