// MSParamters.h: interface for the CMSCustomizeSizePara class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MSPARAruleSIZE_H__2B408933_F7AF_436D_8FBC_2BE9F4E2E20F__INCLUDED_)
#define AFX_MSPARAruleSIZE_H__2B408933_F7AF_436D_8FBC_2BE9F4E2E20F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <vector>
using  std::vector;
class CMSCustomizeSizePara  
{
public:
	CMSCustomizeSizePara();
	virtual ~CMSCustomizeSizePara();
	bool			m_bCustomize;			//Whether the Data Format can be supported to customize.
	int			m_objMSbinaryArySize;		//Save the size of the array of the Flag which uses the Binary Ary.
	int			m_objMSdecimalsArySize;		//Save the size of the array of the Flag which uses the Decimal Ary, eg:data.
	int			m_objMShexArySize;		//Save the size of the array of the Flag which uses the Hexidecimal Ary, eg:cmd. 
	int			m_objMSASCIIArySize;		//Save the size of the array of the Flag which uses the ASCII Ary.

	int			 m_nReserve1;
	int			 m_nReserve2;
	unsigned int		m_uReserve1;
	unsigned int		m_uReserve2;
	bool			m_bReserve1;
	bool			m_bReserve2;
	double			m_dReserve1;
	double			m_dReserve2;
public:
	void			ResetPara();
	void			Addbinary(int number);
	void			Adddecary(int number);
	void			Addhexary(int number);
	void			AddASCIIary(int number);
};

#endif // !defined(AFX_MSPARAruleSIZE_H__2B408933_F7AF_436D_8FBC_2BE9F4E2E20F__INCLUDED_)
