//IIC_PARAM_DATA.cpp

#include "stdafx.h"
#include "IIC_PARAM_DATA.h"

_iicparam::_iicparam()
{
	ReadWriteActive = TRUE;
	AddressLeftShift = FALSE;
	NackDontCare = FALSE;
	ReadLevel = 1;
	AckLevel = 0;
	AddressBitCount = 7;
	DataBitCount = 8;
	SdaNameIndex=0;//add 04/09
	SclNameIndex=1;
	clrStart = RGB(102,204,204);
	clrData = RGB(51,204,51);
	clrRead = RGB(60,125,253);
	clrWrite = RGB(230,73,89);
	clrAck = RGB(255,0,128);  //address ack
	clrEnd = RGB(204,0,0);
	startuptimebool=false;
    thdstabool=true;
    thdstamin=0.5;
	thdstamax=50;
	thddatbool=true;
    thddatmin=0.2;
	thddatmax=50;
	tsustobool=true;
	tsustomin=0.5;
	tsustomax=50;	
	tsudatbool=true;
    tsudatmin=0.2;
	tsudatmax=50;
	m_ActiveRule=FALSE;
	m_DATARule=2;
	m_SLAVEADDRRule=2;
	m_REGADDRRule=2;
	m_nSpecNumber8=8;
	m_bSpecflag8=FALSE;
#ifdef UNICODE
	StrCpyW(AddressName, "ADDRESS");
	StrCpyW(DataName, "DATA");
	StrCpyW(BusName, "IIC DATA");
	StrCpyW(m_cSpecName1,"REG ADDR");
#else
	strcpy(AddressName, "ADDRESS");
	strcpy(DataName, "DATA");
	strcpy(BusName, "IIC DATA");
	strcpy(m_cSpecName1,"REG ADDR");
#endif	

	m_clrSpecBuscolor1= RGB(249,114,29);    //Address
	m_clrSpecBuscolor2= RGB(249,117,142);	//address NAck

	m_clrSpecBuscolor3= RGB(138,206,137);		//lupy 20081008 data ack
	m_clrSpecBuscolor4= RGB(171,203,95);	//				data nack
	m_clrSpecBuscolor5=RGB(43,207,255);
}
//-----------------------
bool _iicparam::SetAddressName(const TCHAR *pName)
{
#ifdef UNICODE
	StrCpyW(AddressName, pName);
#else
	strcpy(AddressName, pName);
#endif	
	return true;
}
TCHAR* _iicparam::GetAddressName()
{
	return AddressName;
}
bool _iicparam::SetREGADDRName(const TCHAR *pName)
{
#ifdef UNICODE
	StrCpyW(m_cSpecName1, pName);
#else
	strcpy(m_cSpecName1, pName);
#endif	
	return true;
}

TCHAR* _iicparam::GetREGADDRName()
{
	return m_cSpecName1;
}

//-------------------------
bool _iicparam::SetDataName(const TCHAR *pName)
{
#ifdef UNICODE
	StrCpyW(DataName, pName);
#else
	strcpy(DataName, pName);
#endif	
	return true;
}
TCHAR* _iicparam::GetDataName()
{
	return DataName;
}
//---------------------------
bool _iicparam::SetBusName(const TCHAR *pName)
{
#ifdef UNICODE
	StrCpyW(BusName, pName);
#else
	strcpy(BusName, pName);
#endif	
	return true;
}
TCHAR* _iicparam::GetBusName()
{
	return BusName;
}
void _iicparam::SetDefaultValue()
{
	ReadWriteActive = TRUE;
	AddressLeftShift = FALSE;
	NackDontCare = FALSE;
	ReadLevel = 1;
	AckLevel = 0;
	AddressBitCount = 7;
	DataBitCount = 8;
	SdaNameIndex=0;//add 04/09
	SclNameIndex=1;
	clrStart = RGB(102,204,204);
	clrData = RGB(51,204,51);
	clrRead = RGB(60,125,253);
	clrWrite =RGB(230,73,89);
	clrAck = RGB(255,0,128);
	clrEnd = RGB(204,0,0);
	startuptimebool=false;
    thdstabool=true;
    thdstamin=0.5;
	thdstamax=50;
	thddatbool=true;
    thddatmin=0.2;
	thddatmax=50;
	tsustobool=true;
	tsustomin=0.5;
	tsustomax=50;	
	tsudatbool=true;
    tsudatmin=0.2;
	tsudatmax=50;
	m_ActiveRule=FALSE;
	m_DATARule=2;
	m_SLAVEADDRRule=2;
	m_REGADDRRule=2;
	m_nSpecNumber8=8;
	m_bSpecflag8=FALSE;
#ifdef UNICODE
	StrCpyW(AddressName, "ADDRESS");
	StrCpyW(DataName, "DATA");
	StrCpyW(BusName, "IIC DATA");
	StrCpyW(m_cSpecName1,"REG ADDR");
#else
	strcpy(AddressName, "ADDRESS");
	strcpy(DataName, "DATA");
	strcpy(BusName, "IIC DATA");
	strcpy(m_cSpecName1,"REG ADDR");
#endif	
	m_clrSpecBuscolor1= RGB(249,114,29);    //Address
	m_clrSpecBuscolor2= RGB(249,117,142);	//NAck
	
	m_clrSpecBuscolor3= RGB(138,206,137);		//lupy 20081008 data ack
	m_clrSpecBuscolor4= RGB(171,203,95);	//				data nack
	m_clrSpecBuscolor5=RGB(43,207,255);
}