// LPTRuleCustizePage.cpp : implementation file
//

#include "stdafx.h"
#include "PlugIIC.h"
#include "IICRuleCustizePage.h"
#include "IIC_PARAM_DATA.h"
#include "IICSetupSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIICRuleCustizePage property page
#include "BusData.h"
extern IICPARAM iicparamdata;
extern PLUGINSTATUS pluginstatus;
extern CString MessageStringTable(UINT ID);
IMPLEMENT_DYNCREATE(CIICRuleCustizePage, CPropertyPage)

CIICRuleCustizePage::CIICRuleCustizePage() : CPropertyPage(CIICRuleCustizePage::IDD)
{
	//{{AFX_DATA_INIT(CIICRuleCustizePage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT	
	m_bActive=false;
}

CIICRuleCustizePage::CIICRuleCustizePage( UINT IDD, UINT nIDCaption): CPropertyPage(IDD)
{
	//{{AFX_DATA_INIT(CSDSetupPage1)
	
	// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_bActive=false;
	
}

CIICRuleCustizePage::~CIICRuleCustizePage()
{
}

void CIICRuleCustizePage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CIICRuleCustizePage)
	DDX_Check(pDX, IDC_CHECK_RULECUSTOMIZE, m_ActiveRule);
	DDX_Radio(pDX, IDC_RADIO_BINARY, m_DATARule);
	DDX_Radio(pDX, IDC_RADIO_BINARY2, m_SLAVEADDRRule);
	DDX_Radio(pDX, IDC_RADIO_BINARY3, m_REGADDRRule);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CIICRuleCustizePage, CPropertyPage)
	//{{AFX_MSG_MAP(CIICRuleCustizePage)
		// NOTE: the ClassWizard will add message map macros here
		ON_BN_CLICKED(IDC_CHECK_RULECUSTOMIZE, OnCheckRULECUSTOMIZE)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIICRuleCustizePage message handlers
bool	CIICRuleCustizePage::StoreDATA()
{
	UpdateData();
	iicparamdata.m_ActiveRule=m_ActiveRule;
	iicparamdata.m_DATARule=m_DATARule;
	iicparamdata.m_SLAVEADDRRule=m_SLAVEADDRRule;
	iicparamdata.m_REGADDRRule=m_REGADDRRule;	
	return true;
}
BOOL CIICRuleCustizePage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	m_bActive=true;
	// TODO: Add extra initialization here	
	InitCheckRadio();	
	if( m_ActiveRule )
		EnableControl(TRUE);
	else
		EnableControl(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CIICRuleCustizePage::InitCheckRadio()
{
	m_ActiveRule=iicparamdata.m_ActiveRule;
	m_DATARule=iicparamdata.m_DATARule;
	m_SLAVEADDRRule=iicparamdata.m_SLAVEADDRRule;
	m_REGADDRRule=iicparamdata.m_REGADDRRule;
	UpdateData(FALSE);
}


void	CIICRuleCustizePage::EnableControl(bool bActive)
{
	CWnd* pWnd = NULL;
	CButton* pBt = NULL;
	
	int dlg_id[] = {IDC_RADIO_BINARY,IDC_RADIO_Decimal,IDC_RADIO_HEX,IDC_RADIO_ASCII,
	                IDC_RADIO_BINARY2,IDC_RADIO_Decimal2,IDC_RADIO_HEX2,IDC_RADIO_ASCII2,
	                IDC_RADIO_BINARY3,IDC_RADIO_Decimal3,IDC_RADIO_HEX3,IDC_RADIO_ASCII3};
	
	int size = sizeof(dlg_id)/sizeof(int);
	for(int i = 0; i < size; i++)
	{
		pWnd = GetDlgItem(dlg_id[i]);
		pBt = (CButton*)pWnd;
		pBt->EnableWindow(bActive);
	}
}

void CIICRuleCustizePage::DefaultValue()
{
    m_ActiveRule=FALSE;
	m_DATARule=2;
	m_SLAVEADDRRule=2;
	m_REGADDRRule=2;
	EnableControl(false);
	UpdateData(FALSE);
}


void CIICRuleCustizePage::OnCheckRULECUSTOMIZE()
{
	UpdateData();
	if( m_ActiveRule )
		EnableControl(TRUE);
	else
		EnableControl(FALSE);
}